Subject: bug#37669: closed (Re: bug#37669: guile: warning: failed to install locale)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Oct 2019 15:17:04 +0000

Your bug report

#37669: guile: warning: failed to install locale

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37669: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37669
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37669: guile: warning: failed to install locale
From: Jesse Gibbons <[email-masked]>
To: Ludovic Courtès <[email-masked]>, Gábor Boskovits <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Oct 2019 09:08:45 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 2019-10-10 at 16:41 +0200, Ludovic Courtès wrote:
> Hi,
> 
> Gábor Boskovits <[email-masked]> skribis:
> 
> > This is most probably a transient core-updates effect. Reconfigure
> > should
> > fix this, and this should be harmless.
> 
> Agreed.
> 
> Normally ‘guix pull --news’ should give you hints on how to address
> this, but otherwise see:
> 
>   https://guix.gnu.org/manual/en/html_node/Application-Setup.html#Locales
> 
> for a “foreign distro”, or:
> 
>   
> https://guix.gnu.org/manual/en/html_node/Locales.html#Locale-Data-Compatibility-Considerations
> 
> on Guix System.
> 
> Let us know if it works for you!
> 
> Ludo’.
Reconfiguring fixed this. Thanks!

Subject: guile: warning: failed to install locale
From: Jesse Gibbons <[email-masked]>
To: bug-guix mailing list <[email-masked]>
Date: Tue, 08 Oct 2019 16:50:03 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On a GuixSD install, the following message began appearing today (I did not
record what time):
guile: warning: failed to install locale
It appears whenever I run `guix` regardless of the command-line arguments I
pass to it.
GUIX_LOCPATH looks like this:
~$ echo $GUIX_LOCPATH 
/run/current-system/locale
I have not today run "guix system reconfigure"
- Could this be related to the core-updates merge?
- Is there a work-around?
-- 
-Jesse